
Reader 
----------

- GND     black
- RST     blue       3.3V
- 3.3V    red
- MISO    brown      21
- SDA     green      19
- SCK     yellow     18
- MOSI    orange      5
- IRQ     green single cable not connected


Button Board:
-------------

- rot in   | white   13
- btn2 led | grey   12
- btn2 in  | purple 14
- rotB     | blue   27
- rotA     | green  26
- btn1 in  | yellow 25 
- btn1 led | orange 33

rot="rotary encoder"
in=button sense in
led = 5V pwm



Firmware Planning
-----------------

- input commands:
  - led: effect + parameters
      - off
      - single color
      - multiple color HSV fade, list of colors with timings
      - circular motion (already exists)
      - chained events? e.g. circle two times then fade
    - effects:
      - welle fuer an und aus
      - breathe waehrend an, oder farbgradient
      - 
- output infos:
  - nfc read: with id
  - nfc remove
  - button presses, (possible also long press, double click, etc)
  - rotary encoder up down + current numeric state
  - on led effect end? 




TODO
----

1) case redesign
  - slightly smaller led ring (10mm -> 9mm)  [ok]
  - thicker top of inner ring, but cutouts for reader [ok]
  - adjust reader stands position [ok]
  - bottom for led ring snap-in [ok]
  - bottom for inner ring [ok]
    - stands for own "pcb" [ok]
  - 2 cutouts for cables  [ok]
  - checks, compared to existing print
    - same diameter, very slightly smaller
    - larger overlap of LED ring
    - minimal wall thickness for led ring top and side
    - check total height - compare to existing



